<!DOCTYPE html>
<html>
<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Ofrendario</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
<!--   
    <link rel='stylesheet' type='text/css' media='screen' href='main.css'>
    <script src='main.js'></script>
    -->

    <script>
        function apagarVela(numeroVela){
            /* Concatenamos a la cadena 'vela' el numero de la vela que se pretende apagar */
            var numVela = "vela"+(numeroVela);
            /* Buscamos en el DOM el elemento con id = numVela */
            const element = document.getElementById(numVela)
            /* Remplazamos el contenido HTML del elemento de la vela seleccionada */
            element.innerHTML = '0';
        }

        function encenderVela(){
            for (let index = 0; index < 10; index++) {
                /* Concatenamos a la cadena 'vela' el numero*/
                var numVela = "vela"+(index+1);
                const element = document.getElementById(numVela)
                if(element.innerHTML == '0'){
                    element.innerHTML = '1';
                    setTimeout('apagarVela('+(index+1)+')', 4000);
                    return (index+1)
                }
            }
        }

        function generarVelas(){
            numVelas = 10
            /* Selecciona el panel de las velas */
            var panelVelas = document.querySelector('#velas')
            /* Selecciona la plantilla a copiar */
            var templateVela = document.querySelector('#templateVela')
            for (let index = 0; index < numVelas; index++) {
                /* Clona el contenido de la plantilla de la vela */
                var clonVela = document.importNode(templateVela.content, true)
                /* Selecciona la celda que contiene la vela dentro de la plantilla clonada */
                var itemVela = clonVela.querySelector('#vela')
                /* Modificamos el ID del clon de la vela */
                itemVela.id = "vela"+(index+1);
                /* Añadimos un hijo al panel de velas */
                panelVelas.appendChild(itemVela)
            }
        }

        document.addEventListener("DOMContentLoaded", function(event) { 
            generarVelas()
        });
        
    </script>
</head>
<body>
    <table>
        <!-- Panel de Todas las velas-->
        <tr id="velas"></tr>
        <tr>
            <td colspan="10">
                <button onclick="encenderVela()">Encender Vela</button>
            </td>
        </tr>
    </table>
    <!-- Plantilla para cada una de las velas-->
    <template id="templateVela">
        <td id="vela">0</td>
    </template>
    
</body>
</html>